%{?nodejs_find_provides_and_requires}

%global packagename longest
%global enable_tests 1

Name:		nodejs-longest
Version:	2.0.1
Release:	1%{?dist}
Summary:	Get the longest item in an array

License:	MIT	
URL:		https://github.com/jonschlinkert/longest.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Release 1.0.1 not tagged in GitHub, so pulling test from master
Source1:	https://raw.githubusercontent.com/jonschlinkert/longest/master/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(fill-range)
%endif

%description
Get the longest item in an array.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Update to upstream 2.0.1 release

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
